#pragma once

#include "IMSSystem.h"
#include "Image.h"

using namespace iMS;

class LissajousImageGen
{
public:
	LissajousImageGen();

	std::shared_ptr<Image> Generate(int points);

	void SetCentre(MHz X, MHz Y) { X_ = std::move(X); Y_ = std::move(Y); }
	void SetSpan(MHz F) { span = std::move(F); }

	void ConfigureLissajous(Degrees P, int Xinc, int Yinc) { P_ = std::move(P); Xinc_ = std::move(Xinc); Yinc_ = std::move(Yinc); }
private:
	MHz X_, Y_, span;

	Degrees P_;
	int Xinc_, Yinc_;
};

